123456789101112131415161718192021222324252627282930 |
- distcheck-hook:
- @fatal () { echo "$@: $$*" >&2; exit 1; }; \
- $(am__cd) $(distdir) && chmod u+w . && mkdir _m4 \
- || fatal "cannot setup distdir"; \
- $(ACLOCAL) -I _m4 $(ACLOCAL_AMFLAGS) --install --output=_am.m4 \
- || fatal "cannot regenerate aclocal.m4"; \
- lst=`ls _m4 | tr '\012\015' ' '`; \
- if test -n "$$lst"; then \
- fatal "required m4 files not distributed or outdated: $$lst"; \
- fi; \
- $(AUTOCONF) -o /dev/null || fatal "can't remake configure"; \
- rm -rf _m4 _am.m4 autom4te.cache && chmod a-w . \
- || fatal "cannot reset distdir"
|